# Class PostFaintClearWeatherAbAttr

Clears Desolate Land/Primordial Sea/Delta Stream upon the Pokemon fainting

#### Hierarchy (view full)

- PostFaintAbAttr
  - PostFaintClearWeatherAbAttr

- Defined in src/data/ability.ts:3022

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostFaint
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostFaintClearWeatherAbAttr(showAbility?): PostFaintClearWeatherAbAttr

- #### Parameters

  - showAbility: boolean = true

  #### Returns PostFaintClearWeatherAbAttr

  Inherited from PostFaintAbAttr.constructor

  - Defined in src/data/ability.ts:129

## Properties

### showAbility

showAbility: boolean

Inherited from PostFaintAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostFaintAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostFaintAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostFaint

- applyPostFaint(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default

    The `Pokemon` with the ability

  - passive: boolean

    N/A

  - attacker: default

    N/A

  - move: default

    N/A

  - hitResult: HitResult

    N/A

  - args: any[]

    N/A

  #### Returns boolean

  Returns true if the weather clears, otherwise false.

  Overrides PostFaintAbAttr.applyPostFaint

  - Defined in src/data/ability.ts:3033

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostFaintAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostFaintAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137